- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# _swizzle_base0< T, N > Struct Template Reference

Internal class for implementing swizzle operators. More...

Inherited by _swizzle_base1< ValueType, VecType, E0, E1, E2, E3, N >, and _swizzle_base1< T, V, E0, E1, E2, E3, N >.

List of all members.

## Detailed Description

### template<typename T, int N>
struct glm::detail::_swizzle_base0< T, N >

Internal class for implementing swizzle operators.

Definition at line 58 of file _swizzle.hpp.